import { createParamDecorator, ExecutionContext } from '@nestjs/common';

/**
 * Get the User from the current request. Requires a guard or middleware to inject the user.
 */
export const CurrentUser = createParamDecorator(
  (data: unknown, ctx: ExecutionContext) => {
    const request = ctx.switchToHttp().getRequest();
    return request.user;
  },
);
